package ch.ethz.inf.vs.nethz.androidtutorial;

import android.content.Intent;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;
import android.widget.ToggleButton;

public class MainActivity extends AppCompatActivity implements View.OnClickListener {

    public static final String ACTIVITY_TAG = "### Main ###";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        TextView text = (TextView) findViewById(R.id.text_main);
        text.setText("I should not do it this way!");
        text.setText(R.string.welcome);

        text.setText(R.string.hello_world);
        Log.d(ACTIVITY_TAG, "1");
        text.setText(R.string.app_name);
        Log.d(ACTIVITY_TAG, "2");
        text.setText(R.string.welcome);
        Log.d(ACTIVITY_TAG, "3");

        Button btn_test = (Button) findViewById(R.id.btn_test);
//        btn_test.setOnClickListener(this);
        Button btn_action = (Button) findViewById(R.id.btn_action);
//        btn_action.setOnClickListener(this);
    }

    @Override
    public void onClick(View v) {
        switch (v.getId()) {
            case R.id.btn_test:
                ((Button) v).setText(R.string.btn_clicked);
                break;
            case R.id.btn_action:
                ((Button) v).setText(R.string.btn_running);
                break;
        }
    }

    public void onClickTest(View v) {
//        ((Button) v).setText(R.string.btn_clicked);

        Intent myIntent = new Intent(this, ActuatorsActivity.class);
        this.startActivity(myIntent);
    }

    public void onClickAction(View v) {
//        ((Button) v).setText(R.string.btn_running);

        Intent myIntent = new Intent(this, WorkerActivity.class);
        this.startActivity(myIntent);
    }

    public void onClickToggle(View v) {
        ToggleButton tb = (ToggleButton) v;
        if (tb.isChecked()) {
            tb.setText(R.string.btn_running);
        } else {
            tb.setText(R.string.btn_stopped);
        }
    }

    @Override
    protected void onResume() {
        super.onResume();

        ToggleButton tb = (ToggleButton) findViewById(R.id.btn_toggle);
        if (tb.isChecked()) {
            tb.setText(R.string.btn_running);
        } else {
            tb.setText(R.string.btn_stopped);
        }
    }
}
